#############################################################
#
# bridgeutils
#
#############################################################

BRIDGECTL_SOURCE_URL=http://voxel.dl.sourceforge.net/sourceforge/bridge/
BRIDGECTL_SOURCE=bridge-utils-0.9.6.tar.gz
BRIDGECTL_DIR=$(BUILD_DIR)/bridge-utils

# BRIDGECTL_SOURCE=bridge-utils-1.0.4.tar.gz
# BRIDGECTL_DIR=$(BUILD_DIR)/bridge-utils-1.0.4

$(DL_DIR)/$(BRIDGECTL_SOURCE):
	 $(WGET) -P $(DL_DIR) $(BRIDGECTL_SOURCE_URL)$(BRIDGECTL_SOURCE)

bridgeutils-source: $(DL_DIR)/$(BRIDGECTL_SOURCE)

$(BRIDGECTL_DIR)/.unpacked: $(DL_DIR)/$(BRIDGECTL_SOURCE)
	zcat $(DL_DIR)/$(BRIDGECTL_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(BRIDGECTL_DIR)/.unpacked

$(BRIDGECTL_DIR)/.configured: $(BRIDGECTL_DIR)/.unpacked
	(cd $(BRIDGECTL_DIR); rm -rf config.cache; \
		./configure \
		--prefix=$(ADD_MASTER) \
		--exec-prefix=$(ADD_MASTER) \
		--with-linux-headers=$(LINUX_DIR)/include/linux \
		CFLAGS="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes" \
	);
	touch  $(BRIDGECTL_DIR)/.configured

$(BRIDGECTL_DIR)/brctl/brctl: $(BRIDGECTL_DIR)/.configured
	$(MAKE) -C $(BRIDGECTL_DIR)

$(ADD_MASTER)/sbin/brctl: $(BRIDGECTL_DIR)/brctl/brctl
	cp -a $(BRIDGECTL_DIR)/brctl/brctl $(ADD_MASTER)/sbin/brctl
	cp -a $(BRIDGECTL_DIR)/brctl/brctld $(ADD_MASTER)/sbin/brctld
	cp -a $(BRIDGECTL_DIR)/libbridge/libbridge.a \
		$(ADD_MASTER)/lib/libbridge.a
	-$(SSTRIP) $(ADD_MASTER)/sbin/brctl
	-$(SSTRIP) $(ADD_MASTER)/sbin/brctld
	-$(STRIP) $(ADD_MASTER)/lib/libbridge.a

bridgeutils: $(ADD_MASTER)/sbin/brctl

bridgeutils-clean:
	-$(MAKE) -C $(BRIDGECTL_DIR) clean
	rm -f $(ADD_MASTER)/sbin/brctl

bridgeutils-dirclean:
	rm -rf $(BRIDGECTL_DIR)
	rm -f $(ADD_MASTER)/sbin/bridgeutils

