#############################################################
#
# hostap-utils card services
#
#############################################################
# Copyright (C) 2001-2003 by Erik Andersen <andersen@codepoet.org>
# Copyright (C) 2002 by Tim Riker <Tim@Rikers.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
HOSTAP_UTILS_SITE:=http://hostap.epitest.fi/releases/
HOSTAP_UTILS_VERSION=0.2.4
HOSTAP_UTILS_SOURCE:=hostap-utils-$(HOSTAP_UTILS_VERSION).tar.gz
HOSTAP_UTILS_DIR:=$(BUILD_DIR)/hostap-utils-$(HOSTAP_UTILS_VERSION)
HOSTAP_UTILS_PATCH:=$(SOURCE_DIR)/hostap-utils.patch
HOSTAP_UTILS_CAT:=zcat

HOSTAP_UTILS_PKG_DIR=$(PACKAGES_DIR)/hostap

$(DL_DIR)/$(HOSTAP_UTILS_SOURCE):
	$(WGET) -P $(DL_DIR) $(HOSTAP_UTILS_SITE)/$(HOSTAP_UTILS_SOURCE)

hostap-utils-source: $(DL_DIR)/$(HOSTAP_UTILS_SOURCE)

$(HOSTAP_UTILS_DIR)/.unpacked: $(DL_DIR)/$(HOSTAP_UTILS_SOURCE)
	$(HOSTAP_UTILS_CAT) $(DL_DIR)/$(HOSTAP_UTILS_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(HOSTAP_UTILS_DIR)/.unpacked

$(HOSTAP_UTILS_DIR)/.patched: $(HOSTAP_UTILS_DIR)/.unpacked
	# cat $(HOSTAP_UTILS_PATCH) | patch -d $(HOSTAP_UTILS_DIR) -p1
	touch $(HOSTAP_UTILS_DIR)/.patched

#  --moddir=$(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/ 

$(HOSTAP_UTILS_DIR)/.configured: $(HOSTAP_UTILS_DIR)/.patched
	( cd $(HOSTAP_UTILS_DIR) ; ./Configure \
		--kernel=$(LINUX_SOURCE_DIR) --noprompt \
		--target=$(PACKAGES_DIR)/hostap-utils-cs \
		--pnp \
		--srctree \
		--moddir=$(HOSTAP_UTILS_PKG_DIR)/lib/modules/$(LINUX_VERSION)/ \
		--uflags="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes" \
	);
	$(SED) "s/pump/udhcpc/" $(HOSTAP_UTILS_DIR)/etc/network
	touch $(HOSTAP_UTILS_DIR)/.configured

$(HOSTAP_UTILS_DIR)/hostap_crypt_conf: $(HOSTAP_UTILS_DIR)/.patched
	( cd $(HOSTAP_UTILS_DIR) ; \
	$(MAKE) DESTDIR=$(HOSTAP_UTILS_PKG_DIR) \
		KERNEL_PATH=$(LINUX_SOURCE_DIR) \
		CFLAGS=-Os \
		-C $(HOSTAP_UTILS_DIR) \
		all ; \
	);

$(HOSTAP_UTILS_PKG_DIR)/usr/sbin/hostap_crypt_conf: $(HOSTAP_UTILS_DIR)/hostap_crypt_conf
	mkdir -p $(HOSTAP_UTILS_PKG_DIR)/usr/sbin
	cp -a $(HOSTAP_UTILS_DIR)/hostap_crypt_conf $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/.
	cp -a $(HOSTAP_UTILS_DIR)/hostap_diag $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/.
	cp -a $(HOSTAP_UTILS_DIR)/hostap_fw_load $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/.
	cp -a $(HOSTAP_UTILS_DIR)/hostap_io_debug $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/.
	cp -a $(HOSTAP_UTILS_DIR)/hostap_rid $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/.
	cp -a $(HOSTAP_UTILS_DIR)/prism2_param $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/.
	cp -a $(HOSTAP_UTILS_DIR)/prism2_srec $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/.
	cp -a $(HOSTAP_UTILS_DIR)/split_combined_hex $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/.
	sstrip $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/*

hostap-utils: $(HOSTAP_UTILS_PKG_DIR)/usr/sbin/hostap_crypt_conf

hostap-utils-clean:
	-rm -rf $(HOSTAP_UTILS_PKG_DIR)/*
	-$(MAKE) -C $(HOSTAP_UTILS_DIR) clean
	-rm -f $(HOSTAP_UTILS_DIR)/.configured $(HOSTAP_UTILS_DIR)/config.out

hostap-utils-dirclean:
	-rm -rf $(HOSTAP_UTILS_PKG_DIR)/*
	-rm -rf $(HOSTAP_UTILS_DIR)
